System
Get the OpenAPI spec
This API’s complete OpenAPI 3.1 document as YAML, self contained with no external references.
GET
/
openapi.yaml
cURL
curl https://parmana-api-real.vercel.app/openapi.yamlconst response = await fetch(
"https://parmana-api-real.vercel.app/openapi.yaml",
);
console.log(response.status, await response.text());import requests
response = requests.get(
"https://parmana-api-real.vercel.app/openapi.yaml",
timeout=30,
)
print(response.status_code, response.text)const options = {method: 'GET'};
fetch('https://parmana-api-real.vercel.app/openapi.yaml', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://parmana-api-real.vercel.app/openapi.yaml",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://parmana-api-real.vercel.app/openapi.yaml"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://parmana-api-real.vercel.app/openapi.yaml")
.asString();require 'uri'
require 'net/http'
url = URI("https://parmana-api-real.vercel.app/openapi.yaml")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body"<string>"Response
200 - application/yaml
The OpenAPI document, YAML.
The response is of type string.
⌘I
cURL
curl https://parmana-api-real.vercel.app/openapi.yamlconst response = await fetch(
"https://parmana-api-real.vercel.app/openapi.yaml",
);
console.log(response.status, await response.text());import requests
response = requests.get(
"https://parmana-api-real.vercel.app/openapi.yaml",
timeout=30,
)
print(response.status_code, response.text)const options = {method: 'GET'};
fetch('https://parmana-api-real.vercel.app/openapi.yaml', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://parmana-api-real.vercel.app/openapi.yaml",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://parmana-api-real.vercel.app/openapi.yaml"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://parmana-api-real.vercel.app/openapi.yaml")
.asString();require 'uri'
require 'net/http'
url = URI("https://parmana-api-real.vercel.app/openapi.yaml")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body"<string>"